#ifndef _GSPROFILE_H_
#define _GSPROFILE_H_
#include <string>
using namespace std;
#include <windows.h>

#include "uninstall.h"
#include "stringarray.h"

class gsProfile : public installAgent
{
	private:
    string fileName;

    void logAction(string action, string sectionName, string item, string value);
  protected:
  public:
  	gsProfile(installManager &manager, string fileName);
    bool ensureListMember(string sectionName, string listName, string listMember);
    bool removeListMember(string sectionName, string listName, string listMember);
    bool addListMember(string sectionName, string listName, string listMember);
    bool writeString(string sectionName, string itemName, string itemValue);
    bool undoAction(string actionName, stringArray &params);
};
#endif